<script setup>
import {IndexPage} from '@/app/core/pages/crud';
import model from '@/modules/product/models/brand';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import RouterLink from "@/app/components/vue/RouterLink.vue";
import Index from '@/app/components/crud/Index.vue';
</script>

<script>
export default {
    data() {
        return new IndexPage({
            context: this,
            title: this.__('Бренды'),
            model: model,
            http: {
                path: 'product/brand',
                query: {
                    'with[0]': 'creator',
                    'sort': 'position_number'
                },
            },
            actions: ['show', 'update', 'delete', 'restore'],
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <RouterLink to="product/brand/create" class="btn btn-success">
            {{ __('Создать') }}
        </RouterLink>
    </PageTitle>

    <Index/>
</template>
